> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/cidr-block/inquirypricecreateipv4block.md).

# InquiryPriceCreateIpv4Block

## 1. API Description

This API (InquiryPriceCreateIpv4Block) is used to query the price of creating IPv4 CIDR blocks.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                       | Description                                                                                                                                                            |
| -------------- | -------- | -------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| zoneId         | Yes      | String                                                                     | Zone ID to which the CIDR blocks belong.                                                                                                                               |
| chargeType     | Yes      | [ChargeType](/api-reference/compute/bmc/datastructure.md#chargetype)       | <p>CIDR block pricing model .</p><p>PREPAID: subscription POSTPAID: pay-as-you-go</p>                                                                                  |
| netmask        | Yes      | Integer                                                                    | <p>Netmasks you want to purchase.</p><p>You can find the available netmasks in the response by calling DescribeAvailableIpv4Resource .</p><p>Value range: \[1, 32]</p> |
| cidrType       | No       | [CidrBlockType](/api-reference/compute/bmc/datastructure.md#cidrblocktype) | <p>CIDR block type.</p><p>Default value: BGP</p>                                                                                                                       |
| chargePrepaid  | No       | [ChargePrepaid](/api-reference/compute/bmc/datastructure.md#chargeprepaid) | Details of the monthly subscription, including the purchase period, auto-renewal. It is required if the `chargeType` is `PREPAID`.                                     |
| amount         | No       | Integer                                                                    | <p>Quantity of IPv4 CIDR blocks you want to purchase.</p><p>Default value: 1.</p><p>Value range: \[1, +)</p>                                                           |

## 3. Output Parameters

| Parameter Name | Type                                                               | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                             | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| price          | [PriceItem](/api-reference/compute/bmc/datastructure.md#priceitem) | Price of IPv4 CIDR blocks.                                                                                            |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
Query the price of a postpaid IPv4 CIDR block with the netmask of `28` in `CHI-A`. The quantity you want to purchase is `1`.

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateIpv4Block
<Common Request Params>

Request:
{
  "zoneId": "CHI-A",
  "chargeType": "POSTPAID",
  "netmask": 28
}

Response:
{
  "requestId": "TCB52F216-374D-4895-AF29-A3E29E5403E2",
  "response": {
    "requestId": "TCB52F216-374D-4895-AF29-A3E29E5403E2",
    "price": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.06,
      "discountUnitPrice": 0.06,
      "chargeUnit": "HOUR",
      "stepPrices": null
    }
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                              | Description                           |
| ---------------- | --------------------------------------- | ------------------------------------- |
| 403              | OPERATION\_DENIED\_UNAVAILABLE\_NETMASK | The specified netmask is unavailable. |
| 404              | INVALID\_ZONE\_NOT\_FOUND               | Zone not found.                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/cidr-block/inquirypricecreateipv4block.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
